#ifndef PROGUTIL_H
#define PROGUTIL_H

/*************************************************************************

    progutil - utility to program PIC Micros with picprog

    Version 0.1 			   

    File: progutil.h -- Global constants and functions
    Begin: 31. Dez 1999

    Copyright (C) 1999, 2000 by Raffael Stocker
    E-mail: raffael.stocker@stud.fh-deggendorf.de

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place--Suite 330, Boston, MA
    02111-1307, USA.

*************************************************************************/

// Memory size constants
const int PRGSIZE = 2048;
const int DATSIZE = 64;
const int CFGSIZE = 10;

// Program defines
#define PRGNAME "progutil"
#define ERRSTR "progutil: "
#define VERSION "0.1"
#define AUTHOR "Raffael Stocker"
#define EMAIL "raffael.stocker@stud.fh-deggendorf.de"
#define DEFAULTDEVICE "/dev/picp0"
#define DEFAULTFORMAT "bin"

// global data copying function

char *copydata (char*, const char*, int);

#endif /* PROGUTIL_H */
